Update customerAsk AIput https://www.pelcro.com/api/v1/core/customers/{id}Update an existing customer.Path Paramsidint32requiredThe unique identifier of the customer.Query Paramssite_idint32requiredThe unique identifier of the site associated with your account.Body ParamsemailstringThe customer's email address, which must be valid and under the same account. The email format is validated against RFC standards and DNS validations are performed to ensure it is deliverable.skip_email_dns_validationsbooleanWhen set, the DNS validations performed on the email address are skipped.truefalsefirst_namestringThe customer's first name. If provided, must be a string containing a maximum of 255 characters.last_namestringThe customer's last name. If provided, must be a string containing a maximum of 255 characters.phonestringCustomer phone number. Non-numeric characters are stripped. Resulting digits must be between 5 and 20.tele_marketingbooleanWhether the customer has authorized receiving telemarketing communications.truefalsemail_marketingbooleanWhether the customer has authorized receiving email marketing communications.truefalseemail_hardbouncebooleanA boolean on whether delivery attempts on the customer's email address result in permanent failures (ie: hard bounces).truefalsedisplay_namestringlength ≤ 100The customer's display name. If provided, must be a string containing a maximum of 100 characters. If email is not provided, either this attribute or old_provider_id is required.organizationstringThe customer's organization. If provided, must be a string containing a maximum of 255 characters.is_importedbooleanWhether this customer was imported from an external system.truefalsetinstringThe customer's tax identification number.passwordstringThe customer password. If provided, must match the password_bcrypt algorithm format by default, unless specified otherwise via password_type attribute.password_typestringenumThe algorithm used on the provided password string. One of: plain_text, password_bcrypt, md5, drupal_v8.2.x, bcrypt_wordpress, crypt.plain_textpassword_bcryptmd5drupal_v8.2.xbcrypt_wordpresscryptAllowed:plain_textpassword_bcryptmd5drupal_v8.2.xbcrypt_wordpresscryptusernamestringlength ≤ 100The customer's username. If provided, must be a string containing a maximum of 100 alpha-numeric characters in the ASCII range (0-9, a-z, A-Z), dashes or underscores.titlestringThe customer's title. If provided, must be a string containing a maximum of 255 characters.salutationstringThe customer's salutation. If provided, must be a string containing a maximum of 255 characters.timezonestringThe customer's time zone. If provided, must be a valid identifier or alias, see list of supported values.languagestringenumThe customer's language as a two-letter code, defined by ISO 639-1 standard.enfritkoesAllowed:enfritkoesimport_payment_methodsbooleanA boolean on whether to import payment methods stored on the current payment gateway provider for this customer.This capability is only available for accounts having an active stripe payment gateway.truefalsedefault_source_idint32The unique identifier of the payment method to set as default for this customer.email_confirmbooleanWhen true, marks the customer's email as verified (skips email confirmation flow).truefalsebilling_emailstringThe customer's billing email.metadataobjectSet of key-value pairs for storing additional information. Existing keys not included in the request are preserved. To delete a key, set its value to null.metadata objectResponses 200Success. 400Invalid request. 401Unauthenticated. 404Not found.Updated about 17 hours ago